Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.model
Interface SelectionAware

All Known Implementing Classes:
  ManySelectionTrackingListDataModel, OneSelectionTrackingListDataModel

    public interface SelectionAware

Interface for `DataModel` implementations that need to track selected rows.

Author:
  Jeremy Grelle

Method Summary
`java.util.List` | `getSelections()` Returns the list of selected row data objects for the model.
`boolean` | `isCurrentRowSelected()` Checks whether the row pointed to by the model's current index is selected.
`void` | `select(java.lang.Object rowData)` Selects the given row data object in the model.
`void` | `selectAll()` Selects all row data objects in the model.
`void` | `setCurrentRowSelected(boolean rowSelected)` Sets whether the row pointed to by the model's current index is selected
`void` | `setSelections(java.util.List selections)` Sets the list of selected row data objects for the model.

Method Detail

### isCurrentRowSelected

    boolean isCurrentRowSelected()

  Checks whether the row pointed to by the model's current index is selected.

  Returns:
    true if the current row data object is selected

### setCurrentRowSelected

    void setCurrentRowSelected(boolean rowSelected)

  Sets whether the row pointed to by the model's current index is selected

  Parameters:
    `rowSelected` - true to select the current row

### setSelections

    void setSelections(java.util.List selections)

  Sets the list of selected row data objects for the model.

  Parameters:
    `selections` - the list of selected row data objects

### getSelections

    java.util.List getSelections()

  Returns the list of selected row data objects for the model.

  Returns:
    the list of selected row data objects

### selectAll

    void selectAll()

  Selects all row data objects in the model.

### select

    void select(java.lang.Object rowData)

  Selects the given row data object in the model.

  Parameters:
    `rowData` - the row data object to select.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD